/////////////////////////////////////////////////
//
//  filename: Coco.cpp
//  author:Chafumi Touji
//  date: 2021/07/04 ver1.00
//
/////////////////////////////////////////////////

#ifndef __COCO_H__
#define __COCO_H__

class CPCMAudio;

class CCoco : public CCharacterBase {
public:

	bool	Move;
	bool	Attack;

	CPCMAudio* Audio;
	bool AudioPlaying;

public:
	
	CCoco();
	CCoco(CDispWindow *disp_window);
	~CCoco();
	void PreAction();
	void Action();
	void OnKeyDown(UINT nChar);
	void OnKeyUp(UINT nChar);
	void OnLButtonDown(UINT nFlag, CPoint point);
	void OnLButtonUp(UINT nFlag, CPoint point);
	void OnRButtonDown(UINT nFlag, CPoint point);
	void OnRButtonUp(UINT nFlag, CPoint point);
};

#endif